
function ga_pvc_drawChart(pvtitle, pvdata, tagid)
{
    var data = google.visualization.arrayToDataTable( pvdata );
    var options = {
        title: pvtitle,
        titleTextStyle: {color: '#1F79CF', fontSize: 13},
        colors:['#058DC7', '#9D5ABD', '#DC68B2'],
        isStacked: true,
        width: '80%',
        height:100
    };
    var chart = new google.visualization.ColumnChart(document.getElementById( tagid )); 
    chart.draw(data, options); 
}

function ga_pvc_smallChart(pvdata, tagid)
{
    var data = google.visualization.arrayToDataTable( pvdata );
    var options = {
        colors:['#058DC7'],
        hAxis: {textPosition: 'none'},
        vAxis: {textPosition: 'none',
                 gridlines:{color:'transparent'},
                 viewWindow: {min:0},
               },
        legend: 'none',         // 凡例を非表示
        width: 90,
        height: 35
    };
//    var chart = new google.visualization.ColumnChart(document.getElementById( tagid )); 
    var chart = new google.visualization.AreaChart(document.getElementById( tagid )); 
    chart.draw(data, options); 
}

google.load('visualization', '1', {packages:['corechart']});

jQuery(document).ready(function(){

    //ga_pvc_title, ga_pvc_data 配列データは、ウィジェット側のPHPプログラムから echo を用いてセットされてくる
    jQuery( '.ga-pvc-widget-tabs' ) . tabs({
        //iquery 1.8
        select: function(event, ui){
            var idtag = jQuery(this).parent().attr("id") + '-chart';
            ga_pvc_drawChart(ga_pvc_title[ui.index],  ga_pvc_data[ui.index],  idtag);
        }, 
        //jquery 1.10
        activate:  function(event, ui){
            var idtag = jQuery(this).parent().attr("id") + '-chart';
            ga_pvc_drawChart(ga_pvc_title[ui.newTab.index()],  ga_pvc_data[ui.newTab.index()],  idtag);
        }
    });
});


